// Dll1.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "expclass.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
		printf("Loading DLL1\n");
		break;
	case DLL_PROCESS_DETACH:
		printf("Unloading DLL1\n");
		break;
	}


	return TRUE;
}

A::A()
	:m_nNum(0)
{
	printf("In Default Constructor of A in DLL1. m_nNum = %d\n", m_nNum);
}

A::~A()
{
	printf("In Destructor of A in DLL1. m_nNum = %d\n", m_nNum);
}

A::A(int n)
{	
	m_nNum = n;
	printf("In Second Constructor of A in DLL1. m_nNum = %d\n", m_nNum);
}

int A::GetNum()
{
	printf("In GetNum of A in DLL1. m_nNum = %d\n", m_nNum);
	return m_nNum;
}

void A::SetNum(int n)
{
	m_nNum = n;
	printf("In SetNum of A in DLL1. m_nNum = %d\n", m_nNum);
}